# ARST打卡第244周

<!--more-->

lc383_赎金信 8 Innovations that Make Solana the First Web-Scale Blockchain 人人都能用英语 成为一个有国际视野的人

## Algorithm
lc383_赎金信

思路:
简单题，直接一个 count 计数数组，然后遍历两次字符串即可。

```cpp
class Solution {
public:
    bool canConstruct(string ransomNote, string magazine) {
        int ms = magazine.size();
        int rs = ransomNote.size();
        if (rs > ms) {
            return false;
        }
        vector<int> cnt(27, 0);
        for (int i = 0; i < ms; i++) {
            cnt[magazine[i] - 'a']++;
        }
        for (int i = 0; i < rs; i++) {
            if (--cnt[ransomNote[i] - 'a'] < 0) {
                return false;
            }
        }
        return true;
    }
};
```

和题解写得完全一模一样。简单题...

## Review
[8 Innovations that Make Solana the First Web-Scale Blockchain](https://medium.com/solana-labs/7-innovations-that-make-solana-the-first-web-scale-blockchain-ddc50b1defda)

前几天看到数据库大神说要复出，在数据库上建立操作系统，然后今天拜读solana系统的特性。
感觉这就是一个数据库上构建的操作系统。

感觉其中 sealevel 的并行处理，RAID0 ssd 阵列区别于其他的单线程交易的区块

和 

RocksDB 中的Compact切分成Sub-Compact并发区别于 LevelDB 的单线程 Compact

有一些相似。

总体读下来还有许多地方要深入学习，继续加油。



## Tips
[人人都能用英语](https://github.com/xiaolai/everyone-can-use-english)

## Share
成为一个有国际视野的人

最近的一系列的生活体验告诉我，其实世界上很多国家很多人的付费意识跟我完全不一样，
看到国际性的软件和服务的价格一般都比较震惊我。

但是从那些国家的收入水平，福利政策去看这个价格，确实对于他们来说是合理的，对于我来说不合理而已。

因此，感觉成为一个有国际视野的人，不要把自己的视野局限在一个地方，大概率能收获意向不到的收获，
大概率也能把当前看起来很贵的价格看起来合理。
